| Extracted from Pike v7.8 release 866 at 2018-07-18.

[Top]

# Method __get_first_arg_type()

Method __get_first_arg_type

  `type(mixed) __get_first_arg_type(type(mixed) fun_type)`

Description

  Check if a function of the type fun_type may be called with an argument, and return the type of that argument.

Returns

  Returns the expected type of the first argument to the function.

  Returns `0` (zero) if a function of the type fun_type may not be called with any argument, or if it is not callable.